Core dumps
List core dump analyses
Authorization
API key Core dumps: readAuthorizationBearer <token>
API key (sf_...) with any of the required scopes. Generate it in the Spotflow portal on the settings page.
In: header
Scope: Core dumps: read
Path Parameters
workspaceId*string
Format
uuidcoreDumpId*string
Response Body
application/json
application/problem+json
curl -X GET "https://example.com/workspaces/00000000-0000-0000-0000-000000000001/core-dumps/d4Rt89jWq5Zb/analyses"Analyses performed for the core dump.
[ { "id": "g7Nb25vFm3Pd", "basicAnalysisState": "Succeeded", "gdbAnalysisState": "Succeeded", "aiAnalysisState": "Succeeded", "createdAt": "2026-01-12T14:12:00+00:00", "basicAnalysisSasLink": "https://storage.spotflow.io/analyses/g7Nb25vFm3Pd-basic.json?sv=2025-01-01&sig=example", "gdbAnalysisSasLink": "https://storage.spotflow.io/analyses/g7Nb25vFm3Pd-gdb.txt?sv=2025-01-01&sig=example", "aiAnalysisSasLink": "https://storage.spotflow.io/analyses/g7Nb25vFm3Pd-ai.md?sv=2025-01-01&sig=example" }, { "id": "h2Qs58cJp9Wl", "basicAnalysisState": "Succeeded", "gdbAnalysisState": "Failed", "gdbAnalysisError": "Symbol file does not match the firmware build ID.", "aiAnalysisState": "Skipped", "createdAt": "2026-01-12T14:08:00+00:00", "basicAnalysisSasLink": "https://storage.spotflow.io/analyses/h2Qs58cJp9Wl-basic.json?sv=2025-01-01&sig=example" }]